using System.Collections.Generic;
using System.Web.UI;

namespace Controls
{
    public class MyControl : ScriptControl
    {
        protected override IEnumerable<ScriptDescriptor> GetScriptDescriptors()
        {
            yield return new ScriptControlDescriptor("MyControl", this.ClientID);
        }

        protected override IEnumerable<ScriptReference> GetScriptReferences()
        {
            yield return new ScriptReference("Controls.JavaScript.Objects.js", "Controls");
        }
    }
}
